GENWQE_GZIP(1)

NAME
genwqe_gzip - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_gzip [OPTION]... [FILE]...

DESCRIPTION
Compress or uncompress FILEs (by default, compress FILES in-place).

Mandatory arguments to long options are mandatory for short options too.

-c, --stdout
    write on standard output, keep original files unchanged

-d, --decompress
    decompress

-f, --force
    force overwrite of output file and compress links

-h, --help
    give this help

-l, --list
    list compressed file contents

-L, --license
    display software license

-N, --name
    save or restore the original name and time stamp

-q, --quiet
    suppress all warnings

-S, --suffix=SUF
    use suffix SUF on compressed files

-v, --verbose
    verbose mode

-V, --version
    display version number

-1, --fast
    compress faster

-9, --best
    compress better

  Special options for testing and debugging:

-A, --accelerator-type=GENWQE|CAPI CAPI is only available for System p

-B, --card=<card_no> -1 is for automatic card selection

-X, --cpu <cpu>
    force to run on CPU <cpu>

-s, --software
    force to use software compression/decompression

-i, --i_bufsize
    input buffer size (128 KiB)

-o, --o_bufsize
    output buffer size (128 KiB)

-N, --name=NAME
    write NAME into gzip header

-C, --comment=CM
    write CM into gzip header

-E, --extra=EXTRA write EXTRA (file) into gzip header

With no FILE, or when FILE is -, read standard input.

NOTE: Not all options are supported in this limited version! Suggestions or patches are welcome!

REPORTING BUGS
Report bugs via https://github.com/ibm-genwqe/genwqe-user.

Code: zlibVersion()=1.3.1 Header: ZLIB_VERSION=1.3.1 consistent

  Called with:

    ARGV[0]: "./genwqe_gzip"
    ARGV[1]: "-h"